//************************************************************************* 
//  CSTransform.cxx  - 4/14/2008
// 
//  by miham
// 
//  We use this class to transform real coordinate values from VDC, Scint.,
//  Cher. and Cal. (that we get from data) to pixels inside a canvas, 
//  where we want to draw out data. 
// 
//
//*************************************************************************

#include "CStransform.h"
#include "TMath.h"
#include <cstring>
#include <cstdio>
#include <iostream>
#include <sstream>


using namespace std;


CStransform::~CStransform()
{

} 

CStransform::CStransform (double A, double cX0, double cY0)
{
  // A is length in meters
  alpha = 1.0/A;
  beta = 1.0/A;
  CX0 = cX0; 
  CY0 = cY0;
}


CStransform::CStransform (double A, double B,  double cX0, double cY0)//uporabljen pri planar view
{
  // A is length in meters
  alpha = 1.0/A;
  //cout<<"beta je: "<<1.23456<<endl;
  beta = 1.0/B;
  //cout<<"beta je: "<<beta<<endl;
  CX0 = cX0; 
  CY0 = cY0;
}

CStransform::CStransform (double A, double B, double Af, double Bf, double cX0, double cY0)
{
  // A is length in meters
  alpha = Af/A;
  cout<<"beta je: "<<1.23456<<endl;
  beta = Bf/B;
  cout<<"beta je: "<<beta<<endl;
  CX0 = cX0; 
  CY0 = cY0;
}

double CStransform::transXtoCX(double x)
{
  return alpha*x+CX0;
} 

double CStransform::transYtoCY(double y)
{
  return beta*y+CY0;
}

double CStransform::transLtoCL(double l)
{
  return alpha*l;
}

double CStransform::transVerticalLtoCL(double l)
{
  return beta*l;
}

double CStransform::transHorizontalLtoCL(double l)
{
  return alpha*l;
}

double CStransform::GetAlpha()
{
  return alpha;
}

double CStransform::GetBeta()
{
  return beta;
}
