//************************************************************************* 
//  Calorimeter.h - 8/1/2012
// 
//  by tadejd
// 
//  This class is used to create planar view of calorimeter.
//
//
//*************************************************************************  

#ifndef ROOT_calorimeter
#define ROOT_calorimeter

#include "TCanvas.h"
#include "TPolyLine.h"
#include "TBox.h"
#include "TArrow.h"
#include "TEllipse.h"
#include "TLatex.h"

#include "EVe_DB.h"
#include "CStransform.h"
#include "GlassBlock.h"

class Calorimeter {

public:
  Calorimeter(char *ime, int n, double blengthL, double blengthR, double bhight, double offset, CStransform *trans);
  virtual ~Calorimeter();
  void blockHit(int num, double adc);
  void Track(double x, double y, int i);
  void clear();
  
protected:
  int N;//number of blocks in layer
  double sx0, sy0, sa, sb;
  double layer_length;
  double layer_hight;
  TLatex *title;
  CStransform *cst;
  GlassBlock *block[MAX_BLOCK_NUM];
  TEllipse *track_circ[MAX_TRACK_NUM];
  TLatex *track_index[MAX_TRACK_NUM];

};
#endif
