//************************************************************************* 
//  Cherenkov.h - 7/31/2012
// 
//  by tadejd
// 
//  This class is used to create planar view of Cherenkov detector (mirror plane).
//
//
//*************************************************************************  

#ifndef ROOT_cherenkov
#define ROOT_cherenkov

#include "TCanvas.h"
#include "TPolyLine.h"
#include "TBox.h"
#include "TArrow.h"
#include "TEllipse.h"
#include "TLatex.h"

#include "EVe_DB.h"
#include "CStransform.h"
#include "Mirror.h"

class Cherenkov {

public:
  Cherenkov(char *ime, int nx, int ny, double plength, double phight, CStransform *trans);
  virtual ~Cherenkov();
  void mirrorHit(int num, double tdc, double adc);
  void Track(double x, double y, int i);
  void clear();

protected:
  int Nx; //number of mirrors in horizontal direction
  int Ny; //number of mirrors in vertical direction
  double sx0, sy0,sa,sb;
  double plane_length;
  double plane_hight;
  Mirror *mirror[MAX_MIRROR_NUM];
  TLatex *title;
  TEllipse *track_circ[MAX_TRACK_NUM];
  TLatex *track_index[MAX_TRACK_NUM];
  CStransform *cst;
  
};

#endif
  
  
