//**************************************************************************
//  EVe.h  - 4/14/2008 (changed for HRS-L 8/8/2012 by tadejd)
// 
//  by miham
// 
//  This is the main class of the event display. 
// 
//
//**************************************************************************

#ifndef ROOT_EVe
#define ROOT_EVe


#include "TCanvas.h"
#include "TGFrame.h"
#include "TGButton.h"
#include "TRootEmbeddedCanvas.h"
#include "TGButtonGroup.h"
#include "TGNumberEntry.h"
#include <RQ_OBJECT.h>
#include "TGClient.h"
#include "TTree.h"
#include "TFile.h"

#include "VDCChamber.h"
#include "CStransform.h"
#include "ScintilationPlane.h"
#include "PlanarTrack.h"
#include "Cherenkov.h"
#include "Calorimeter.h"

#include <TString.h>
#include <TGFileDialog.h>
#include <TStyle.h>



class EVe{
  RQ_OBJECT("EVe")
public:
  EVe(const TGWindow *p, UInt_t w, UInt_t h);
  ~EVe();
  void CreateWires();
  void initRun(int nrun ,char *filename);
  void DoDraw(int event);
  void doNext();
  void doNextGood();
  void doPrevious();
  void doPreviousGood();
  void doThis();
  void SelectProj();
  void MyCloseWindow();
  void PrintToFile();

private:
  TGMainFrame *fMainFrame;
  TRootEmbeddedCanvas *fRootEmbeddedCanvas;
  TCanvas *c1;
  TCanvas *c2;
  TCanvas *c3;
  TCanvas *c4;
  TCanvas *c5;

  TGRadioButton *fTextButtonWires;  
  TGNumberEntry *fNumberEntry1;
  
  VDCChamber *vdc1;
  VDCChamber *vdc2;

  ScintilationPlane *sS1;
  ScintilationPlane *sS2m;

  Cherenkov *cher;

  Calorimeter *cal1;
  Calorimeter *cal2;

  int EventNumber;
  int TotalNumberOfEvents;
 
  CStransform *cst;
 
  TTree *t1;

    // Prva VDC komora
  Double_t L_vdc_u1_nhit;
  Double_t L_vdc_v1_nhit;
 
  Double_t L_vdc_u1_wire[MAX_HITS_NUM];
  Double_t L_vdc_v1_wire[MAX_HITS_NUM];
  
  Double_t L_vdc_u1_time[MAX_HITS_NUM];
  Double_t L_vdc_v1_time[MAX_HITS_NUM];
  
    
  // Druga VDC komora

  Double_t L_vdc_u2_nhit;
  Double_t L_vdc_v2_nhit;
 
  Double_t L_vdc_u2_wire[MAX_HITS_NUM];
  Double_t L_vdc_v2_wire[MAX_HITS_NUM];
  
  Double_t L_vdc_u2_time[MAX_HITS_NUM];
  Double_t L_vdc_v2_time[MAX_HITS_NUM];

  // Cherenkov detector

  Double_t L_cer_nthit;

  Double_t L_cer_t[MAX_MIRROR_NUM];
  Double_t L_cer_a[MAX_MIRROR_NUM];

  // Calorimeter 

  Double_t L_prl1_a[MAX_BLOCK_NUM];
  Double_t L_prl2_a[MAX_BLOCK_NUM];
  
  
  
  //2D - track
 
  Double_t L_tr_n;
  Double_t L_tr_x[MAX_TRACK_NUM];
  Double_t L_tr_y[MAX_TRACK_NUM];
  Double_t L_tr_ph[MAX_TRACK_NUM];
  Double_t L_tr_th[MAX_TRACK_NUM];

  
  // variables for scintilation plane

  Double_t L_s1_nthit;
  Double_t L_s1_lt[7];
  Double_t L_s1_rt[7];
  Double_t L_s1_la[6];
  Double_t L_s1_ra[6];
  Double_t L_s1_y_t[7];
  Double_t L_s1_t_pads[7];
 

  Double_t L_s2_nthit;
  Double_t L_s2_lt[17];
  Double_t L_s2_rt[17];
  Double_t L_s2_la[16];
  Double_t L_s2_ra[16];
  Double_t L_s2_y_t[17];
  Double_t L_s2_t_pads[17];

  int run_number;
  const char *crun_number;

  const char *graph_title;

  TLatex *title;

  PlanarTrack *plTrack[100]; 

};
#endif
