//************************************************************************* 
//  GlassBlock.h - 8/1/2012
// 
//  by tadejd
// 
//  This class is used to create planar view of one glass block in calorimeter.
//
//
//*************************************************************************  

#ifndef ROOT_glassblock
#define ROOT_glassblock

#include "TCanvas.h"
#include "TPolyLine.h"
#include "TBox.h"
#include "TArrow.h"
#include "TEllipse.h"
#include "TLatex.h"

class GlassBlock {
  
public:
  GlassBlock(int index, int side, double x, double y, double a, double b);
  virtual ~GlassBlock();
  void ADChit(double adc);
  void clear();

protected:
  double sx0, sy0,sa,sb;
  TPolyLine *pline;//left/right photomultiplier
  TLine *pvline;
  TPolyLine *bline;//glass block
  TLatex *index_text;
  TEllipse *CircleADC;
};

#endif
