//************************************************************************* 
//  Mirror.h - 7/31/2008
// 
//  by tadejd
// 
//  This class is used to create planar view of one mirror and it's photomultiplier.
//
//
//*************************************************************************  

#ifndef ROOT_mirror
#define ROOT_mirror

#include "TCanvas.h"
#include "TPolyLine.h"
#include "TBox.h"
#include "TArrow.h"
#include "TEllipse.h"
#include "TLatex.h"

class Mirror {
  
public:
  Mirror(int index, int side, double x, double y, double a, double b);
  virtual ~Mirror();
  void hit(double tdc);
  void ADChit(double adc);
  void clear();

protected:
  double sx0, sy0,sa,sb;
  TPolyLine *pline;
  TLine *vline[3];
  TLine *hline[5];
  TEllipse *circ;
  TLatex *index_text;
  TEllipse *CircleADC;
};

#endif
