//************************************************************************* 
//  PlanarTrack.cxx  - 4/14/2008-popravljeno 8/3/2012 za HRS-L
//
//  by miham
// 
//  This class handles Track projections in projection view
//
//************************************************************************* 
 
#include "PlanarTrack.h"
#include "TMath.h"
#include <cstring>
#include <cstdio>
#include <iostream>
#include <sstream>

#include "EVe_DB.h"

#define  DEBUG_LEVEL 0

using namespace std;


PlanarTrack::PlanarTrack()
{
        lineA = new TLine(0,0,0,0);
        lineA->SetLineColor(kBlack);
        lineA->SetLineWidth(1);

        lineB = new TLine(0,0,0,0);
        lineB->SetLineColor(kBlack);
        lineB->SetLineWidth(1);

        lineC = new TLine(0,0,0,0);
        lineC->SetLineColor(kBlack);
        lineC->SetLineWidth(1);

        lineD = new TLine(0,0,0,0);
        lineD->SetLineColor(kBlack);
        lineD->SetLineWidth(1);


        lineE = new TLine(0,0,0,0);
        lineE->SetLineColor(kBlack);
        lineE->SetLineWidth(1);

        lineF = new TLine(0,0,0,0);
        lineF->SetLineColor(kBlack);
        lineF->SetLineWidth(1);

        lineG = new TLine(0,0,0,0);
        lineG->SetLineColor(kBlack);
        lineG->SetLineWidth(1);


        lineH = new TLine(0,0,0,0);
        lineH->SetLineColor(kBlack);
        lineH->SetLineWidth(1);



#if DEBUG_LEVEL >= 3
  	cout<<"Trackobject created!!!"<<endl;
#endif

}

void PlanarTrack::DrawMe(CStransform *cVDC1, double xVDC1, double yVDC1, CStransform *cVDC2, double xVDC2, double yVDC2, CStransform *cS1, double xS1, double yS1, CStransform *cCHER, double xCHER, double yCHER, CStransform *cS2m, double xS2m, double yS2m, CStransform *cCAL1, double xCAL1, double yCAL1, CStransform *cCAL2, double xCAL2,  double yCAL2)
{
        lineA->SetX1(cVDC1->transXtoCX(-yVDC1));//vdc1->vdc2
        lineA->SetY1(cVDC1->transYtoCY(-xVDC1));
	lineA->SetX2(cVDC2->transXtoCX(-yVDC2));
        lineA->SetY2(cVDC2->transYtoCY(-xVDC2));
        lineA->SetLineColor(kGray+3);
        lineA->SetLineWidth(3);
        lineA->Draw();

	lineB->SetX1(cVDC2->transXtoCX(-yVDC2));//vdc1->S1
        lineB->SetY1(cVDC2->transYtoCY(-xVDC2));
	lineB->SetX2(cS1->transXtoCX(-yS1));
        lineB->SetY2(cS1->transYtoCY(-xS1));
        lineB->SetLineColor(kGray+3);
        lineB->SetLineWidth(3);
        lineB->Draw();


	lineC->SetX1(cS1->transXtoCX(-yS1));//S1->cher
        lineC->SetY1(cS1->transYtoCY(-xS1));
	lineC->SetX2(cCHER->transXtoCX(-yCHER));
        lineC->SetY2(cCHER->transYtoCY(-xCHER));
        lineC->SetLineColor(kGray+3);
        lineC->SetLineWidth(3);
        lineC->Draw();

        lineD->SetX1(cCHER->transXtoCX(-yCHER));//cher->S2m
        lineD->SetY1(cCHER->transYtoCY(-xCHER));
	lineD->SetX2(cS2m->transXtoCX(-yS2m));
        lineD->SetY2(cS2m->transYtoCY(-xS2m));
        lineD->SetLineColor(kGray+3);
        lineD->SetLineWidth(3);
        lineD->Draw();

        lineE->SetX1(cS2m->transXtoCX(-yS2m));//S2m->cal 1 
        lineE->SetY1(cS2m->transYtoCY(-xS2m));
	lineE->SetX2(cCAL1->transXtoCX(-yCAL1));
        lineE->SetY2(cCAL1->transYtoCY(-xCAL1));
        lineE->SetLineColor(kGray+3);
        lineE->SetLineWidth(3);
        lineE->Draw();

        lineF->SetX1(cCAL1->transXtoCX(-yCAL1));//cal 1->cal 2
        lineF->SetY1(cCAL1->transYtoCY(-xCAL1));
	lineF->SetX2(cCAL2->transXtoCX(-yCAL2));
        lineF->SetY2(cCAL2->transYtoCY(-xCAL2));
        lineF->SetLineColor(kGray+3);
        lineF->SetLineWidth(3);
        lineF->Draw();

	double k = (cCAL2->transYtoCY(-xCAL2) - cCAL1->transYtoCY(-xCAL1) )/(cCAL2->transXtoCX(-yCAL2) - cCAL1->transXtoCX(-yCAL1));
	lineG->SetX1(cCAL2->transXtoCX(-yCAL2));
        lineG->SetY1(cCAL2->transYtoCY(-xCAL2));
	lineG->SetX2(cCAL2->transXtoCX(-yCAL2) + (0.99-cCAL2->transXtoCX(-yCAL2)));
        lineG->SetY2(cCAL2->transYtoCY(-xCAL2) + (0.99-cCAL2->transXtoCX(-yCAL2))*k);
        lineG->SetLineColor(kGray+3);
        lineG->SetLineWidth(3);
        lineG->Draw();

	double k2 = (cVDC2->transYtoCY(-xVDC2) - cVDC1->transYtoCY(-xVDC1) )/(cVDC2->transXtoCX(-yVDC2) - cVDC1->transXtoCX(-yVDC1));
	lineH->SetX1(cVDC1->transXtoCX(-yVDC1));
        lineH->SetY1(cVDC1->transYtoCY(-xVDC1));
	lineH->SetX2(cVDC1->transXtoCX(-yVDC1) + (0.01-cVDC1->transXtoCX(-yVDC1)));
        lineH->SetY2(cVDC1->transYtoCY(-xVDC1) + (0.01-cVDC1->transXtoCX(-yVDC1))*k2);
        lineH->SetLineColor(kGray+3);
        lineH->SetLineWidth(3);
        lineH->Draw();
}

void PlanarTrack::Clear()
{
        lineA->SetX1(0);
        lineA->SetX2(0);
	lineA->SetY1(0);
	lineA->SetY2(0);
        lineA->SetLineColor(kWhite);
        lineA->SetLineWidth(1);
        lineA->Draw();

        lineB->SetX1(0);
        lineB->SetX2(0);
	lineB->SetY1(0);
	lineB->SetY2(0);
        lineB->SetLineColor(kWhite);
        lineB->SetLineWidth(1);
        lineB->Draw();

        lineC->SetX1(0);
        lineC->SetX2(0);
	lineC->SetY1(0);
	lineC->SetY2(0);
        lineC->SetLineColor(kWhite);
        lineC->SetLineWidth(1);
        lineC->Draw();

        lineD->SetX1(0);
        lineD->SetX2(0);
	lineD->SetY1(0);
	lineD->SetY2(0);
        lineD->SetLineColor(kWhite);
        lineD->SetLineWidth(1);
        lineD->Draw();

        lineE->SetX1(0);
        lineE->SetX2(0);
	lineE->SetY1(0);
	lineE->SetY2(0);
        lineE->SetLineColor(kWhite);
        lineE->SetLineWidth(1);
        lineE->Draw();

        lineF->SetX1(0);
        lineF->SetX2(0);
	lineF->SetY1(0);
	lineF->SetY2(0);
        lineF->SetLineColor(kWhite);
        lineF->SetLineWidth(1);
        lineF->Draw();

        lineG->SetX1(0);
        lineG->SetX2(0);
	lineG->SetY1(0);
	lineG->SetY2(0);
        lineG->SetLineColor(kWhite);
        lineG->SetLineWidth(1);
        lineG->Draw();

        lineH->SetX1(0);
        lineH->SetX2(0);
	lineH->SetY1(0);
	lineH->SetY2(0);
        lineH->SetLineColor(kWhite);
        lineH->SetLineWidth(1);
        lineH->Draw();
}

PlanarTrack::~PlanarTrack()
{

}         
