
//************************************************************************* 
//  Scintilator.h - 4/14/2008
// 
//  by miham
// 
//  This class is used to create planar view one scintilation paddle.
//
//
//*************************************************************************  

#ifndef ROOT_scintilator
#define ROOT_scintilator

#include "TCanvas.h"
#include "TPolyLine.h"
#include "TBox.h"
#include "TArrow.h"
#include "TEllipse.h"
#include "TLatex.h"

class Scintilator {
  
public:
  Scintilator(int index, double x, double y, double a, double b, double length);
  virtual ~Scintilator();
  void hit(double left, double right, double y);
  void ADChit(double left, double right, double y, double LE, double RE);
  void clear();

protected:
  double sx0, sy0,sa,sb;
  double paddle_length;
  TPolyLine *plineL;
  TPolyLine *plineR;
  TPolyLine *scintilator; 
  TArrow *yindicator;
  TEllipse *CircleADC;
  TLatex *index_text;
};

#endif
